// Tooltip bits for diamond

ItemEvents.tooltip(event => {
  
  /*
  event.addAdvanced('minecraft:diamond', (item, advanced, text) => {
    // shift, alt and ctrl are all keys you can check!
    if (!event.shift) {
      text.add(1, [Text.of('Hold ').gold(), Text.of('Shift ').yellow(), Text.of('to see more info about crafting this.').gold()])
    } else {
      text.add(1, Text.white('Item pedestals must contain:').bold(true))
      text.add(2, Text.green('One iron, copper, tin, nickel, aluminum, lead, zinc, silver, gold, osmium and uranium ingot'))
	  text.add(3, Text.green('One redstone dust, glowstone dust, lapis, nether quartz, certus quartz, coal and emerald.'))
    }
  })
  */
  
event.addAdvanced('minecraft:end_portal_frame', (item, advanced, text) => {
    text.add(1, Text.red('Cannot be removed once placed down. Place carefully and check the correct requirements for building an End portal.').bold(true))
})
	
event.addAdvanced('guideme:guide', (item, advanced, text) => {
      text.add(1, Text.red('Causes frequent crashes. Recipe disabled and not recommended to cheat in.').bold(true))
})

event.add('kubejs:nuclear_sludge', ["§8Useless"])

event.add('kubejs:fool_gold_ingot', ["§8Functionally useless but rich in EMC"])

event.addAdvanced('hostilenetworks:prediction_matrix', (item, advanced, text) => {
    text.add(1, Text.green('Making this in a crafting table sucks, check the other recipes!').italic(true))
})

event.addAdvanced('well:well', (item, advanced, text) => {
    text.add(1, Text.green('64,000mb water/tick').italic(true))
})

event.addAdvanced('create:blaze_burner', (item, advanced, text) => {
    text.add(1, Text.green('Look at the Basic Burner for earlygame heat').italic(true))
})

event.add('kubejs:emc_prismatter', ["§1Transformed by mere exposure to the cosmos."])

event.addAdvanced('kubejs:rainbow_jelly', (item, advanced, text) => {
    text.add(1, Text.white('Grants §eStrength 2 §ffor 60 seconds'))
	text.add(1, Text.white('Grants §eRegeneration 1 §ffor 15 seconds'))
})

event.addAdvanced('mbd2:rune_factory', (item, advanced, text) => {
    text.add(1, Text.aqua('Recipe uses 250,000 mana'))
})

event.add('mbd2:black_energy_radiator', ["§2Outputs 25MRF/t passively"])

// Tooltips for the Crystal Chamber
event.add('kubejs:demon_blueprint', ["§eCan be found in mines chests within the demon realm"])

event.add('kubejs:int_catalyst_raw', ["§bUnits of internal demonic will catalyst remaining"])
event.add('kubejs:int_catalyst_steadfast', ["§bUnits of internal steadfast will catalyst remaining"])
event.add('kubejs:int_catalyst_corrosive', ["§bUnits of internal corrosive will catalyst remaining"])
event.add('kubejs:int_catalyst_destructive', ["§bUnits of internal destructive will catalyst remaining"])
event.add('kubejs:int_catalyst_vengeful', ["§bUnits of internal vengeful will catalyst remaining"])

event.addAdvanced('mbd2:crystal_chamber', (item, advanced, text) => {
	text.add(1, Text.gray('Demon will crystals placed in the §eupper 6 input slots §7of the input port will §econsume their respective internal catalyst to duplicate §7with a chance for bonus extras.'))
	text.add(1, Text.gray('§eInternal crystal catalyst will slowly drain over time §7until empty while not running other processes inside the machine.'))
    text.add(1, Text.gray('Will crystal catalyst placed in the §elower slot §7of the input port will be converted into §e12 units §7of the respective internal catalyst.'))
})

})
